org.keycloak.storage.ldap.mappers

## Class HardcodedAttributeMapperFactory

- java.lang.Object
- - org.keycloak.storage.ldap.mappers.AbstractLDAPStorageMapperFactory
  - - org.keycloak.storage.ldap.mappers.HardcodedAttributeMapperFactory

- All Implemented Interfaces:
    ComponentFactory<LDAPStorageMapper,LDAPStorageMapper>, SubComponentFactory<LDAPStorageMapper,LDAPStorageMapper>, ConfiguredProvider, ProviderFactory<LDAPStorageMapper>, LDAPStorageMapperFactory<LDAPStorageMapper>

      public class HardcodedAttributeMapperFactory
      extends AbstractLDAPStorageMapperFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static List<ProviderConfigProperty>` | `configProperties`
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardcodedAttributeMapperFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AbstractLDAPStorageMapper` | `createMapper(ComponentModel mapperModel, LDAPStorageProvider federationProvider)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getHelpText()`
    `String` | `getId()` This is the name of the provider and will be showed in the admin console as an option.
    `void` | `validateConfiguration(KeycloakSession session, RealmModel realm, ComponentModel config)` Called before a component is created or updated.

    - ### Methods inherited from class org.keycloak.storage.ldap.mappers.AbstractLDAPStorageMapperFactory

      `checkMandatoryConfigAttribute, close, create, createConfigProperty, getTypeMetadata, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.storage.ldap.mappers.LDAPStorageMapperFactory

      `onCreate, onParentUpdate`

    - ### Methods inherited from interface org.keycloak.component.SubComponentFactory

      `getConfigProperties, getTypeMetadata`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### configProperties

          protected static final List<ProviderConfigProperty> configProperties

  - ### Constructor Detail

    - #### HardcodedAttributeMapperFactory

          public HardcodedAttributeMapperFactory()

  - ### Method Detail

    - #### getHelpText

          public String getHelpText()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getId

          public String getId()

      Description copied from interface: `LDAPStorageMapperFactory`
      This is the name of the provider and will be showed in the admin console as an option.

    - #### validateConfiguration

          public void validateConfiguration(KeycloakSession session,
                                            RealmModel realm,
                                            ComponentModel config)
                                     throws ComponentValidationException

      Description copied from interface: `ComponentFactory`
      Called before a component is created or updated. Allows you to validate the configuration
      Throws:
        `ComponentValidationException`

    - #### createMapper

          protected AbstractLDAPStorageMapper createMapper(ComponentModel mapperModel,
                                                           LDAPStorageProvider federationProvider)

      Specified by:
        `createMapper` in class `AbstractLDAPStorageMapperFactory`

Copyright © 2021 JBoss by Red Hat. All rights reserved.